VERSION 5.00
Begin VB.Form ABMenu 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Inventory Control "
   ClientHeight    =   135
   ClientLeft      =   150
   ClientTop       =   780
   ClientWidth     =   4350
   ControlBox      =   0   'False
   Icon            =   "ABMenu.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   135
   ScaleWidth      =   4350
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtThisPath 
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   600
      Width           =   1455
   End
   Begin VB.DirListBox Dir1 
      Height          =   315
      Left            =   2640
      TabIndex        =   0
      Top             =   720
      Width           =   615
   End
   Begin VB.Menu mnuSuppliers 
      Caption         =   "Vendors"
   End
   Begin VB.Menu mnuABStock 
      Caption         =   "Stock"
   End
   Begin VB.Menu mnuABStockTransactions 
      Caption         =   "Transactions"
   End
   Begin VB.Menu mnuUtilities 
      Caption         =   "Utilities"
      Begin VB.Menu mnuAbout 
         Caption         =   "About"
      End
      Begin VB.Menu mnuRepairDataBase 
         Caption         =   "Repair Database"
      End
      Begin VB.Menu mnuHelpEdit 
         Caption         =   "Edit Help"
      End
      Begin VB.Menu mnuSetABStockDattabasePath 
         Caption         =   "Set ABStock Database Path"
      End
      Begin VB.Menu mnuDatabaseLock 
         Caption         =   "Set Database Lock Characters"
      End
      Begin VB.Menu mnuClearDatabaseLocks 
         Caption         =   "Clear Database Locks"
      End
   End
   Begin VB.Menu mnuExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "ABMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_load()
  txtThisPath.Text = Dir1.Path
End Sub
Private Sub mnuAbout_Click()
  Message$ = ""
  About$ = ""
  eol = Chr(10) & Chr(13)
  Open ABMenu.txtThisPath.Text & "\ABInventoryControl.vbp" For Input As #2
  Do While Not EOF(2)
    Line Input #2, ThisLine$
    If InStr(ThisLine$, "Title") > 0 Then
      About$ = "This Software " & ThisLine$
    End If
    If InStr(ThisLine$, "VersionComments") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionCompanyName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MajorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MinorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "RevisionVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalCopyright") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalTrademarks") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionProductName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionFileDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
  Loop
  Close #2
  Prompt$ = ""
  reply = MsgBox(Message$, vbOKOnly, About$)
End Sub

Private Sub mnuABStock_Click()
  ABMenu.mnuABStockTransactions.Enabled = False
  ABMenu.mnuABStock.Enabled = False
  ABStock.Show
End Sub

Private Sub mnuABStockTransactions_Click()
  ABMenu.mnuABStockTransactions.Enabled = False
  ABMenu.mnuABStock.Enabled = False
  ABStockTransactions.Show
End Sub

Private Sub mnuClearData_Click()
  ABClearData.Show
End Sub

Private Sub mnuBillOfMaterial_Click()
  ABBOM.Show
End Sub

Private Sub mnuClearDatabaseLocks_Click()
  ABStockClearLocks.Show
End Sub

Private Sub mnuCompactDatabase_Click()
  ABStockCompact.Show
End Sub

Private Sub mnuDatabaseLock_Click()
  SetABDatabaseLockNumber.Show
End Sub

Private Sub mnuExit_Click()
  If ABMenu.mnuABStockTransactions.Enabled = False Then
    reply$ = MsgBox("Please close Stock Record", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  If ABMenu.mnuSuppliers.Enabled = False Then
    reply$ = MsgBox("Please close Vendors", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  End
End Sub

Private Sub mnuRepairDataBase_Click()
  ABStockDatabaseRepair.Show
End Sub

Private Sub mnuSetABStockDattabasePath_Click()
  SetABDatabasePath.Show
End Sub

Private Sub mnuStockReport_Click()
  ABStockAnalysisReport.Show
End Sub

Private Sub mnuStockWorksOrderList_Click()
  ABStockWorksOrderList.Show
End Sub

Private Sub mnuSuppliers_Click()
  ABMenu.mnuSuppliers.Enabled = False
  ABVendors.Show
End Sub
Private Sub mnuHelpEdit_Click()
   ABStockHelpEdit.Show
End Sub

Private Sub mnuWorksOrder_Click()
  ABWorksOrder.Show
End Sub
