VERSION 5.00
Begin VB.Form ABStockClearLocks 
   Caption         =   "ABStock Clear All Locks"
   ClientHeight    =   780
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2835
   Icon            =   "ABStockClearLocks.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   780
   ScaleWidth      =   2835
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtStockLock 
      DataField       =   "Lock"
      DataSource      =   "DatStock"
      Height          =   375
      Left            =   2880
      TabIndex        =   3
      Text            =   "Text1"
      Top             =   1560
      Width           =   615
   End
   Begin VB.Data datStock 
      Caption         =   "Stock"
      Connect         =   "Access"
      DatabaseName    =   ""
      DefaultCursorType=   0  'DefaultCursor
      DefaultType     =   2  'UseODBC
      Exclusive       =   0   'False
      Height          =   300
      Left            =   840
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   0  'Table
      RecordSource    =   "Stock"
      Top             =   1560
      Width           =   1935
   End
   Begin VB.TextBox txtLock 
      DataField       =   "Lock"
      DataSource      =   "datVendors"
      Height          =   405
      Left            =   2880
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   960
      Width           =   615
   End
   Begin VB.Data datVendors 
      Caption         =   "Vendors"
      Connect         =   "Access"
      DatabaseName    =   ""
      DefaultCursorType=   0  'DefaultCursor
      DefaultType     =   2  'UseODBC
      Exclusive       =   0   'False
      Height          =   345
      Left            =   840
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   0  'Table
      RecordSource    =   "Supplier"
      Top             =   960
      Visible         =   0   'False
      Width           =   1935
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Clear Locks"
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Help 
      BackColor       =   &H8000000A&
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   495
   End
End
Attribute VB_Name = "ABStockClearLocks"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_load()
  Open ABMenu.txtThisPath.Text & "\ABStockPos.ini" For Input As #2
  Line Input #2, DataBasePath$
  Close #2
  If Right(Left(DataBasePath$, 2), 1) <> ":" Then
    DataBasePath$ = ABMenu.txtThisPath.Text & "/" & DataBasePath$
  End If
  datVendors.DatabaseName = DataBasePath$
  datVendors.Refresh
  datStock.DatabaseName = DataBasePath$
  datStock.Refresh
End Sub

Private Sub Command1_Click()
  ClearVendors
  ClearStock
  Unload Me
End Sub
Private Sub ClearVendors()
  If datVendors.Recordset.EOF Then
    Exit Sub
  End If
  datVendors.Recordset.MoveFirst
  Do While Not datVendors.Recordset.EOF
    txtLock.Text = ""
    datVendors.Recordset.MoveNext
  Loop
  datVendors.Recordset.MoveFirst
End Sub
Private Sub ClearStock()
  If datStock.Recordset.EOF Then
    Exit Sub
  End If
  datStock.Recordset.MoveFirst
  Do While Not datStock.Recordset.EOF
    txtStockLock.Text = ""
    datStock.Recordset.MoveNext
  Loop
  datStock.Recordset.MoveFirst
End Sub
Private Sub Help_Click()
  Open ABMenu.txtThisPath.Text & "\HelpModuleItem.ini" For Output As #2
  ThisModule = "** Clear Database Locks **"
  Print #2, ThisModule
  Close #2
  ABStockHelp.Show
End Sub

